- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# ImportedFileNode Class Reference
[Data classes]

`#include <nedelements.h>`

Inheritance diagram for ImportedFileNode:

List of all members.

## Detailed Description

GENERATED CLASS.

Represents the <imported-file> XML element in memory. DTD declaration:

     <!ELEMENT imported-file EMPTY>
     <!ATTLIST imported-file
          filename            CDATA     REQUIRED
          banner-comment      CDATA     IMPLIED
          right-comment       CDATA     "&#10;" >

## Public Member Functions
Constructors, destructor
| ImportedFileNode ()
| ImportedFileNode (NEDElement *parent)
virtual | ~ImportedFileNode ()
Redefined NEDElement methods, incl. generic access to attributes
virtual const char * | getTagName () const
virtual int | getTagCode () const
virtual int | getNumAttributes () const
virtual const char * | getAttributeName (int k) const
virtual const char * | getAttribute (int k) const
virtual void | setAttribute (int k, const char *val)
virtual const char * | getAttributeDefault (int k) const
Typed access to attributes, children and siblings
const char * | getFilename () const
void | setFilename (const char *val)
const char * | getBannerComment () const
void | setBannerComment (const char *val)
const char * | getRightComment () const
void | setRightComment (const char *val)
virtual ImportedFileNode * | getNextImportedFileNodeSibling () const

## Constructor & Destructor Documentation

ImportedFileNode::ImportedFileNode | ( |  | ) | `[inline]`

ImportedFileNode::ImportedFileNode | ( | NEDElement * | parent | ) | `[inline]`

virtual ImportedFileNode::~ImportedFileNode | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual const char* ImportedFileNode::getAttribute | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the value of the kth attribute (i.e. the attribute with the name getAttributeName(k)). It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual const char* ImportedFileNode::getAttributeDefault | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the default value of the kth attribute, as defined in the DTD. It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

virtual const char* ImportedFileNode::getAttributeName | ( | int | k | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the name of the kth attribute as defined in the DTD. It should return NULL if k is out of range (i.e. negative or greater than getNumAttributes()). Implements NEDElement.

const char* ImportedFileNode::getBannerComment | ( |  | ) | const`[inline]`

const char* ImportedFileNode::getFilename | ( |  | ) | const`[inline]`

virtual ImportedFileNode* ImportedFileNode::getNextImportedFileNodeSibling | ( |  | ) | const`[virtual]`

virtual int ImportedFileNode::getNumAttributes | ( |  | ) | const`[virtual]`

| Pure virtual method, it should be redefined in subclasses to return the number of attributes defined in the DTD. Implements NEDElement.

const char* ImportedFileNode::getRightComment | ( |  | ) | const`[inline]`

virtual int ImportedFileNode::getTagCode | ( |  | ) | const`[inline, virtual]`

| Overridden in subclasses to return the numeric code (NED_xxx) of the XML element the class represents. Implements NEDElement.

virtual const char* ImportedFileNode::getTagName | ( |  | ) | const`[inline, virtual]`

| Overridden in subclasses to return the name of the XML element the class represents. Implements NEDElement.

virtual void ImportedFileNode::setAttribute | ( | int | k,
|  | const char * | val
| ) | `[virtual]`

| Pure virtual method, it should be redefined in subclasses to set the value of the kth attribute (i.e. the attribute with the name getAttributeName(k)). If k is out of range (i.e. negative or greater than getNumAttributes()), the call should be ignored. Implements NEDElement.

void ImportedFileNode::setBannerComment | ( | const char * | val | ) | `[inline]`

void ImportedFileNode::setFilename | ( | const char * | val | ) | `[inline]`

void ImportedFileNode::setRightComment | ( | const char * | val | ) | `[inline]`

The documentation for this class was generated from the following file:

- nedelements.h